import java.awt.*;

public class Grafikbuffer extends Kurveanimation
{
	Image buffer;   // grafikbufferen hvor optegningen skal foreg
	Dimension str;  // strrelsen skal ogs bruges ofte, s den husker vi

	public void init()
	{
		super.init(); // kald den oprindelige init() i superklassen
		str = getSize();
		buffer = createImage(str.width,str.height); // reserver grafikbufferen
	}

	public void update(Graphics g)
	{
		paint(g); 	  // kald paint(), uden at baggrunden tegnes frst
	}

	public void paint(Graphics g)
	{
		Graphics bufg = buffer.getGraphics();
		bufg.setClip(0,0,str.width,str.height);
		bufg.clearRect(0,0,str.width,str.height); // tegn baggrundsfarven
		
		super.paint(bufg); // kald den oprindelige paint()

		g.drawImage(buffer,0,0,null);
		bufg.dispose();
	}
}
